﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PushApi.Act.Models.Send
{
    public class PushValModel
    {
        /// <summary>
        /// 推送配置表的Id
        /// </summary>
        public System.String ProCfgId { get; set; }
        /// <summary>
        /// 用户Id
        /// </summary>
        public System.String UserId { get; set; }
        /// <summary>
        /// 手机的系统类型
        /// </summary>
        public string ClientType { get; set; }
        /// <summary>
        /// 手机的设备序列号
        /// </summary>
        public string ClientId { get; set; }
        /// <summary>
        /// 用户正式姓名
        /// </summary>
        public string RealName { get; set; }
        /// <summary>
        /// 用户手机号
        /// </summary>
        public string Mobile { get; set; }
        /// <summary>
        /// 用户微信唯一标示
        /// </summary>
        public string OpenId { get; set; }
        
        /// <summary>
        /// 推送title
        /// </summary>
        public System.String PushTitle { get; set; }
        /// <summary>
        /// 推送body
        /// </summary>
        public System.String PushBody { get; set; }
        /// <summary>
        /// 推送消息模板
        /// </summary>
        public System.String WxMsmTemp { get; set; }
        /// <summary>
        /// ios跳转
        /// </summary>
        public System.String PushIosLink { get; set; }
        /// <summary>
        /// and跳转
        /// </summary>
        public System.String PushAndLink { get; set; }
        /// <summary>
        /// web跳转
        /// </summary>
        public System.String PushWebLink { get; set; }
        /// <summary>
        /// 微信跳转
        /// </summary>
        public System.String PushWechatLink { get; set; }
        /// <summary>
        /// 推送数据包
        /// </summary>
        public Dictionary<string, string> DicValue { get; set; }
        /// <summary>
        /// 环境类型1-生产，2-测试
        /// </summary>
        public int? EnvType { get; set; } = 1;
        /// <summary>
        /// 阿里云短信专用参数
        /// </summary>
        public string TemplateParam { get; set; }
    }
}
